Dogecoin Custom Methods

🚧

Note

  • The RPC implementation is currently in development and subject to change.
  • The compute units have not been defined yet and will be updated in the future.

This guide provides Blockdaemon-specific JSON-RPC methods that extend standard Dogecoin methods. These endpoints are available via our RPC API and return data in JSON-RPC format.

Dogecoin custom methods support the following networks:

  • mainnet
  • testnet
📘

Note

See the Dogecoin RPC API connection guide.


Balance API

bd_getbalanceatheight

Returns a balance object for the given address at the given height (or latest if no height provided).

Request Example

{
    "jsonrpc": "2.0",
    "id": "curltest",
    "method": "bd_getbalanceatheight",
    "params": [
        "tb1pwv6xu5xlv0puqdpxr2xjslh0mezm00cpcpnaq2ux77nqlxered9skmgty7", 4254432
    ]
}

Request Parameter

FieldTypeDescription
params: AddressString(required) Dogecoin address.
params: Block HeightInt(optional) The block height of the address.

Response Example

{
    "jsonrpc": "2.0",
    "id": "curltest",
    "result": {
        "address": "tb1pwv6xu5xlv0puqdpxr2xjslh0mezm00cpcpnaq2ux77nqlxered9skmgty7",
        "amount": 355524.310602360,
        "blockheight": 4254432,
        "multisigamount": 0
    }
}

Response Object

FieldTypeDescription
addressStringThe Dogecoin address queried.
amountIntThe balance as of the last block the address was active in where the output script types are not multisig.
blockheightIntThe block number at which this balance was last updated.
multisigamountIntThe balance as of the last block the address was active in where the output script types are multisig.